Update django minimum version to 2.2

Use Django from buster-backports as 1.11 is now deprecated.
16 jobs for fix-398 in 16 minutes and 56 seconds (queued for 4 seconds)
latest
Status Job ID Name Coverage
  Test
passed #118236
amd64
dispatcher-debian-10

00:02:17

passed #118238
amd64
dispatcher-debian-11

00:02:24

passed #118237
amd64
server-debian-10

00:03:00

passed #118239
amd64
server-debian-11

00:05:17

 
  Analyze
passed #118240
amd64-dind
bandit-sast

00:00:58

passed #118241
amd64
black

00:00:47

passed #118242
amd64
code_quality

00:00:26

passed #118247
amd64
codespell

00:00:23

passed #118243
amd64
coverage

00:07:18

60.86%
passed #118244
amd64
dockerfiles

00:00:20

passed #118246
amd64
pylint

00:03:08

passed #118245
amd64
schemas

00:00:32

 
  Build
passed #118249
amd64
debian/10

00:01:37

passed #118248
amd64
doc

00:00:45

passed #118250
amd64-dind
docker-amd64-dispatcher

00:03:55

passed #118251
amd64-dind
docker-amd64-server

00:04:17